<%
/******************************************************************************
 * Copyright (c) 2000-2008 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.ActorBean" id="Actor" scope="request"/>

	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/sarissa.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
  	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/presentField.js"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
	<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/utils.js"></script>

<script language="javascript">
function doSubmit() {
	return true;
}

var originalAvatarId;
$(document).ready(function() {
	/* DON'T ASK ME WHY !! fl:bigtabs is very buggy. Try to remove the line below and you will see a bad pixel on right top corner of the tabs.*/
	$(".finTab").css("padding", "0 4px");
	
	
	$("#avatar").attr("currentavatarid", $("#ActPicID").val());
	$("#avatar").width(80);
	$("#avatar").on("click", simulateBrowseClick);
	
	$("#avatarZone").on("mouseenter", function() {showButtons()});
	$("#avatarZone").on("mouseleave", function() {hideButtons()});
	
	$("#ActPicID").on("change", updateAvatar);
});

function showButtons() {
	if ($("#modifyAvatar").css("display") == "none") {
		var cssObj = {
				'display' : 'block',
				'position' : 'absolute',
			    'top' : $("#avatar").position().top,
			    'left' : $("#avatar").position().left
			};
		$("#modifyAvatar").css(cssObj);
		cssObj = {
				'display' : 'block',
				'position' : 'absolute',
			    'top' : $("#avatar").position().top + $("#avatar").height() - 15,
			    'left' : $("#avatar").position().left
			};
		$("#removeAvatar").css(cssObj);
	}
}

function hideButtons() {
	if ($("#modifyAvatar").css("display") == "block") {
		$("#modifyAvatar").css("display", "none");
		$("#removeAvatar").css("display", "none");
	}
}

function simulateBrowseClick() {
	$('input[name="file"]').click();
}

function removeAvatar() {
	$(".qq-upload-button-deletefile-uploader-ActPicID").click();
	$("#ActPicID").val("");
	updateAvatar();
}

function updateAvatar() {
	if ($("#avatar").attr("currentavatarid") != $("#ActPicID").val()) {
		$("#avatar").attr("currentavatarid", $("#ActPicID").val());
		if ($("#ActPicID").val() == "") {
			$("#avatar").attr("src", edApplication().path + 'skins/default/images/wall/defaultAvatar.png');			
		} else {
			$("#avatar").attr("src", 'download?id=' + $("#ActPicID").val());
		}
	}
}
</script>
<fl:form action="/save_userprofile.fl" bean="Actor" multivalSeparator=";" >
	<fl:bigTabs objectTitle="Profil" ou="/edit_profil.fl">
		<table class="container" cellpadding="0">
			<tr>
				<!-- Image column -->
				<td style="width:150px; vertical-align: top; padding-right: 50px;">
					<span style="display: none;">
						<fl:attach name="Actor" colID="ActPicID" multivalSeparator=";" edit="true" allowedExtensions="'jpg', 'jpeg', 'png', 'gif'"/>
					</span>
					<span id="avatarZone">
						<img style="width:90px;" id="avatar" alt="<fl:getMessage code="A0008" alt="Modifier"/>" src='download_avatar.fl?actID=<%=Actor.getActID()%>'/>
						<span id="modifyAvatar" style="display:none; background-color: white; opacity: 0.7;">
							<a style="color: black;" href="javascript:simulateBrowseClick()"><fl:getMessage code="A0008" alt="Modifier"/></a>
						</span>
						<span id="removeAvatar" style="display:none; background-color: white; opacity: 0.7;">
							<a style="color: black" href="javascript:removeAvatar()"><fl:getMessage code="A0007" alt="Supprimer"/></a>
						</span>
					</span>
				</td>
				
				<!-- data column -->
				<td style="width:100%">
					<table class="container" cellpadding="0">
						<tr>
							<td class="column2">
								<table class="container" cellpadding="0">
						           	<fl:fieldEdit property="ActCivID"/>
						           	<fl:fieldEdit property="ActEmpSta"/>
						           	<fl:fieldEdit property="ActFstName"/>
						           	<fl:fieldRead property="ActName"/>
								</table>
							</td>
							<td class="separation">
								<div class="separation"></div>
							</td>
							<td class="column2">
								<table class="container" cellpadding="0" cellspacing="0">
						           	<fl:fieldEdit property="ActPhone"/>
						           	<fl:fieldEdit property="ActMobile"/>
						           	<fl:fieldEdit property="ActLngPrinc"/>
						           	<fl:fieldEdit property="ActTzoID"/>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr class="ligne_separation"><td colspan="2"></td></tr>
			<tr class="ligne_separation"><td colspan="2" style="font-weight:bold;font-size:14px;color:#9EC6D0"><fl:getMessage code="L8264" alt="Prfrences du mur"/></td></tr>
			<tr class="ligne_separation_couleur"><td colspan="2"></td></tr>
			<tr class="ligne_separation"><td colspan="2"></td></tr>
			<tr>
				<td colspan="2">
					<jsp:include page="/wall/userconfig/editform.jsp"/>
				</td>
			</tr>
			<tr class="ligne_separation"><td colspan="2"></td></tr>
			<tr class="ligne_separation"><td colspan="2" style="font-weight:bold;font-size:14px;color:#9EC6D0"><fl:getMessage code="L8265" alt="Suivre les commentaire des acteurs"/></td></tr>
			<tr class="ligne_separation_couleur"><td colspan="2"></td></tr>
			<tr class="ligne_separation"><td colspan="2"></td></tr>
			<tr>
				<td colspan="2">
					<jsp:include page="/wall/target/edit_groupactor.jsp"/>
				</td>
			</tr>
		</table>		
	</fl:bigTabs>
</fl:form>

